#include <WinTen.h>

#include <Windows.h>
#include <ClipApi.h>

CLIPPER GETWINDOWT()
{
   HWND hWnd   = ( HWND ) _parni( 1 );
   WORD wLen   = GetWindowTextLength( hWnd );
   LPSTR pText = _xgrab( wLen + 1 );

   if( wLen )
   {
      GetWindowText( hWnd, pText, wLen + 1 );
      _retclen( pText, wLen );
   }
   else
      _retc( "" );
   _xfree( pText );
}
